import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

class VgkProGamingTheme {
  VgkProGamingTheme._();
  static int milliseconds = 700;

  static Color primaryColor = HexColor('#00b4ab');
  static Color secondayColor = HexColor('#61ede7');

  static Color primaryColorDark = HexColor('#00b4ab');
  static Color secondayColorDark = HexColor('#61ede7');

  static Color primaryColorFont = HexColor('#00b4ab');
  static Color secondaryColorFont = Colors.white;

  static Color boxBackground = HexColor('#e1e4e6');
  static Color boxBackgroundWithOpacity =
      VgkProGamingTheme.boxBackground.withOpacity(0.6);
  static Color background = Color(0xFFF2F3F8);

  static Color grey = Color(0xFF3A5160);
  static Color greyWithOpacityLow = VgkProGamingTheme.grey.withOpacity(0.2);
  static Color greyWithOpacityMedium = VgkProGamingTheme.grey.withOpacity(0.5);
  static Color greyWithOpacityHigh = VgkProGamingTheme.grey.withOpacity(0.4);

  static Color lightGrey = HexColor('#e1e4e6');
  static Color lightGreyWithOpacityLow = HexColor('#e1e4e6').withOpacity(0.3);
  static Color lightGreyWithOpacityMedium =
      HexColor('#e1e4e6').withOpacity(0.6);
  static Color lightGreyWithOpacityHigh = HexColor('#e1e4e6').withOpacity(0.9);

  static Color notWhite = Color(0xFFEDF0F2);
  static Color white = Color(0xFFFFFFFF);
  static Color darkGrey = Color(0xFF313A44);

  static Color nearlyBlue = Color(0xFF00B6F0);
  static Color nearlyDarkBlue = Color(0xFF2633C5);
  static Color nearlyBlack = Color(0xFF213333);
  static Color nearlyWhite = Color(0xFFFEFEFE);

  static Color darkText = Color(0xFF253840);
  static Color lightText = Color(0xFF4A6572);
  static Color deactivatedText = Color(0xFF767676);
  static Color dismissibleBackground = Color(0xFF364A54);
  static Color spacer = Color(0xFFF2F2F2);

  static const double letterSpacing = 0.27;
  static const double heightSpace = 4;

  static const double fontSizeTripleExtraSmall = 6;
  static const double fontSizeDoubleExtraSmall = 8;
  static const double fontSizeExtraSmall = 10;
  static const double fontSizeSmall = 12;
  static const double fontSizeMedium = 14;
  static const double fontSizeLarge = 16;
  static const double fontSizeExtraLarge = 18;
  static const double fontSizeDoubleExtraLarge = 20;
  static const double fontSizeTripleExtraLarge = 22;

  static FontWeight fontWeightDoubleExtraSmall = FontWeight.w100;
  static FontWeight fontWeightExtraSmall = FontWeight.w200;
  static FontWeight fontWeightSmall = FontWeight.w300;
  static FontWeight fontWeightMedium = FontWeight.w400;
  static FontWeight fontWeightLarge = FontWeight.w500;
  static FontWeight fontWeightExtraLarge = FontWeight.w600;
  static FontWeight fontWeightDoubleExtraLarge = FontWeight.w700;
  static FontWeight fontWeightTripleExtraLarge = FontWeight.w700;

  static const double paddingTripleExtraSmall = 2;
  static const double paddingDoubleExtraSmall = 4;
  static const double paddingExtraSmall = 6;
  static const double paddingSmall = 8;
  static const double paddingMedium = 10;
  static const double paddingLarge = 12;
  static const double paddingExtraLarge = 14;
  static const double paddingDoubleExtraLarge = 16;
  static const double paddingTripleExtraLarge = 24;

  static TextStyle h1 = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraLarge,
    fontSize: VgkProGamingTheme.fontSizeExtraLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.primaryColor,
  );

  static TextStyle h2 = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightLarge,
    fontSize: VgkProGamingTheme.fontSizeLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.primaryColor,
  );

  static TextStyle h3 = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightMedium,
    fontSize: VgkProGamingTheme.fontSizeMedium,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.primaryColor,
  );

  static TextStyle h4 = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightSmall,
    fontSize: VgkProGamingTheme.fontSizeSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.primaryColor,
  );

  static TextStyle h5 = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.primaryColor,
  );

  static TextStyle h6 = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightDoubleExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeDoubleExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.primaryColor,
  );

  static TextStyle h1White = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraLarge,
    fontSize: VgkProGamingTheme.fontSizeExtraLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white,
  );

  static TextStyle h2White = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightLarge,
    fontSize: VgkProGamingTheme.fontSizeLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white,
  );

  static TextStyle h3White = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightMedium,
    fontSize: VgkProGamingTheme.fontSizeMedium,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white,
  );

  static TextStyle h4White = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightSmall,
    fontSize: VgkProGamingTheme.fontSizeSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white,
  );

  static TextStyle h5White = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white,
  );

  static TextStyle h6White = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightDoubleExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeDoubleExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white,
  );

  static TextStyle h1WhiteWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraLarge,
    fontSize: VgkProGamingTheme.fontSizeExtraLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white.withOpacity(0.5),
  );

  static TextStyle h2WhiteWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightLarge,
    fontSize: VgkProGamingTheme.fontSizeLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white.withOpacity(0.5),
  );

  static TextStyle h3WhiteWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightMedium,
    fontSize: VgkProGamingTheme.fontSizeMedium,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white.withOpacity(0.5),
  );

  static TextStyle h4WhiteWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightSmall,
    fontSize: VgkProGamingTheme.fontSizeSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white.withOpacity(0.5),
  );

  static TextStyle h5WhiteWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white.withOpacity(0.5),
  );

  static TextStyle h6WhiteWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightDoubleExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeDoubleExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.white.withOpacity(0.5),
  );

  static TextStyle h1Black = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraLarge,
    fontSize: VgkProGamingTheme.fontSizeExtraLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black,
  );

  static TextStyle h2Black = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightLarge,
    fontSize: VgkProGamingTheme.fontSizeLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black,
  );

  static TextStyle h3Black = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightMedium,
    fontSize: VgkProGamingTheme.fontSizeMedium,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black,
  );

  static TextStyle h4Black = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightSmall,
    fontSize: VgkProGamingTheme.fontSizeSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black,
  );

  static TextStyle h5Black = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black,
  );

  static TextStyle h6Black = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightDoubleExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeDoubleExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black,
  );

  static TextStyle h1BlackWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraLarge,
    fontSize: VgkProGamingTheme.fontSizeExtraLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black.withOpacity(0.5),
  );

  static TextStyle h2BlackWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightLarge,
    fontSize: VgkProGamingTheme.fontSizeLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black.withOpacity(0.5),
  );

  static TextStyle h3BlackWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightMedium,
    fontSize: VgkProGamingTheme.fontSizeMedium,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black.withOpacity(0.5),
  );

  static TextStyle h4BlackWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightSmall,
    fontSize: VgkProGamingTheme.fontSizeSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black.withOpacity(0.5),
  );

  static TextStyle h5BlackWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black.withOpacity(0.5),
  );

  static TextStyle h6BlackWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightDoubleExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeDoubleExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.black.withOpacity(0.5),
  );

  static TextStyle h1Gray = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraLarge,
    fontSize: VgkProGamingTheme.fontSizeExtraLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey,
  );

  static TextStyle h2Gray = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightLarge,
    fontSize: VgkProGamingTheme.fontSizeLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey,
  );

  static TextStyle h3Gray = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightMedium,
    fontSize: VgkProGamingTheme.fontSizeMedium,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey,
  );

  static TextStyle h4Gray = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightSmall,
    fontSize: VgkProGamingTheme.fontSizeSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey,
  );

  static TextStyle h5Gray = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey,
  );

  static TextStyle h6Gray = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightDoubleExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeDoubleExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey,
  );

  static TextStyle h1GrayWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraLarge,
    fontSize: VgkProGamingTheme.fontSizeExtraLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey.withOpacity(0.5),
  );

  static TextStyle h2GrayWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightLarge,
    fontSize: VgkProGamingTheme.fontSizeLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey.withOpacity(0.5),
  );

  static TextStyle h3GrayWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightMedium,
    fontSize: VgkProGamingTheme.fontSizeMedium,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey.withOpacity(0.5),
  );

  static TextStyle h4GrayWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightSmall,
    fontSize: VgkProGamingTheme.fontSizeSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey.withOpacity(0.5),
  );

  static TextStyle h5GrayWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey.withOpacity(0.5),
  );

  static TextStyle h6GrayWithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightDoubleExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeDoubleExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.grey.withOpacity(0.5),
  );

  static TextStyle h1WithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraLarge,
    fontSize: VgkProGamingTheme.fontSizeExtraLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.primaryColor.withOpacity(0.5),
  );

  static TextStyle h2WithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightLarge,
    fontSize: VgkProGamingTheme.fontSizeLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.primaryColor.withOpacity(0.5),
  );

  static TextStyle h3WithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightMedium,
    fontSize: VgkProGamingTheme.fontSizeMedium,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.primaryColor.withOpacity(0.5),
  );

  static TextStyle h4WithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightSmall,
    fontSize: VgkProGamingTheme.fontSizeMedium,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.primaryColor.withOpacity(0.5),
  );

  static TextStyle h5WithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.primaryColor.withOpacity(0.5),
  );

  static TextStyle h6WithOpacity = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightDoubleExtraSmall,
    fontSize: VgkProGamingTheme.fontSizeDoubleExtraSmall,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: VgkProGamingTheme.primaryColor.withOpacity(0.5),
  );

  static TextStyle errorText = GoogleFonts.lato(
    fontWeight: VgkProGamingTheme.fontWeightLarge,
    fontSize: VgkProGamingTheme.fontSizeLarge,
    letterSpacing: VgkProGamingTheme.letterSpacing,
    color: Colors.red,
  );

  static EdgeInsets edgeInsetsPaddingTripleExtraSmall = EdgeInsets.only(
    top: VgkProGamingTheme.paddingTripleExtraSmall,
    bottom: VgkProGamingTheme.paddingTripleExtraSmall,
    right: VgkProGamingTheme.paddingTripleExtraSmall,
    left: VgkProGamingTheme.paddingTripleExtraSmall,
  );

  static EdgeInsets edgeInsetsPaddingDoubleExtraSmall = EdgeInsets.only(
    top: VgkProGamingTheme.paddingDoubleExtraSmall,
    bottom: VgkProGamingTheme.paddingDoubleExtraSmall,
    right: VgkProGamingTheme.paddingDoubleExtraSmall,
    left: VgkProGamingTheme.paddingDoubleExtraSmall,
  );

  static EdgeInsets edgeInsetsPaddingExtraSmall = EdgeInsets.only(
    top: VgkProGamingTheme.paddingExtraSmall,
    bottom: VgkProGamingTheme.paddingExtraSmall,
    right: VgkProGamingTheme.paddingExtraSmall,
    left: VgkProGamingTheme.paddingExtraSmall,
  );

  static EdgeInsets edgeInsetsPaddingSmall = EdgeInsets.only(
    top: VgkProGamingTheme.paddingSmall,
    bottom: VgkProGamingTheme.paddingSmall,
    right: VgkProGamingTheme.paddingSmall,
    left: VgkProGamingTheme.paddingSmall,
  );

  static EdgeInsets edgeInsetsPaddingMedium = EdgeInsets.only(
    top: VgkProGamingTheme.paddingMedium,
    bottom: VgkProGamingTheme.paddingMedium,
    right: VgkProGamingTheme.paddingMedium,
    left: VgkProGamingTheme.paddingMedium,
  );

  static EdgeInsets edgeInsetsPaddingLarge = EdgeInsets.only(
    top: VgkProGamingTheme.paddingLarge,
    bottom: VgkProGamingTheme.paddingLarge,
    right: VgkProGamingTheme.paddingLarge,
    left: VgkProGamingTheme.paddingLarge,
  );

  static EdgeInsets edgeInsetsPaddingDoubleExtraLarge = EdgeInsets.only(
    top: VgkProGamingTheme.paddingDoubleExtraLarge,
    bottom: VgkProGamingTheme.paddingDoubleExtraLarge,
    right: VgkProGamingTheme.paddingDoubleExtraLarge,
    left: VgkProGamingTheme.paddingDoubleExtraLarge,
  );

  static EdgeInsets edgeInsetsPaddingTripleExtraLarge = EdgeInsets.only(
    top: VgkProGamingTheme.paddingTripleExtraLarge,
    bottom: VgkProGamingTheme.paddingTripleExtraLarge,
    right: VgkProGamingTheme.paddingTripleExtraLarge,
    left: VgkProGamingTheme.paddingTripleExtraLarge,
  );

  static BorderRadius borderRadiusLow = BorderRadius.all(
    Radius.circular(8.0),
  );

  static BorderRadius borderRadiusMedium = BorderRadius.all(
    Radius.circular(16.0),
  );

  static BorderRadius borderRadiusHigh = BorderRadius.all(
    Radius.circular(32.0),
  );

  static Matrix4 transform(Animation<dynamic> mainScreenAnimation) {
    return Matrix4.translationValues(
        0.0, 20 * (1.0 - mainScreenAnimation.value), 0.0);
  }

  static Matrix4 subTransform(Animation<dynamic> mainScreenAnimation) {
    return Matrix4.translationValues(
        60 * (1.0 - mainScreenAnimation.value), 0.0, 0.0);
  }

  static SizedBox sizedBoxEmpty = SizedBox(
    height: VgkProGamingTheme.heightSpace,
  );

  static Decoration decoration = BoxDecoration(
    color: VgkProGamingTheme.boxBackground.withOpacity(0.6),
    borderRadius: const BorderRadius.all(Radius.circular(16.0)),
  );

  static Animation animationOption(AnimationController animationController) {
    return Tween<double>(begin: 0.0, end: 1.0).animate(CurvedAnimation(
        parent: animationController,
        curve: Interval((1 / 10) * 3, 1.0, curve: Curves.fastOutSlowIn)));
  }

  static Decoration cardDecorationWithPopUp = BoxDecoration(
    boxShadow: <BoxShadow>[
      BoxShadow(
          color: VgkProGamingTheme.primaryColorDark.withOpacity(0.6),
          offset: Offset(1.1, 4.0),
          blurRadius: 8.0),
    ],
    gradient: LinearGradient(
      colors: <HexColor>[
        VgkProGamingTheme.primaryColorDark,
        VgkProGamingTheme.primaryColor,
      ],
      begin: Alignment.topLeft,
      end: Alignment.bottomRight,
    ),
    borderRadius: const BorderRadius.only(
      bottomRight: Radius.circular(8.0),
      bottomLeft: Radius.circular(8.0),
      topLeft: Radius.circular(8.0),
      topRight: Radius.circular(54.0),
    ),
  );
}

class HexColor extends Color {
  HexColor(final String hexColor) : super(_getColorFromHex(hexColor));

  static int _getColorFromHex(String hexColor) {
    hexColor = hexColor.toUpperCase().replaceAll('#', '');
    if (hexColor.length == 6) {
      hexColor = 'FF' + hexColor;
    }
    return int.parse(hexColor, radix: 16);
  }
}
