import 'package:flutter/material.dart';
import 'package:flutter_custom_clippers/flutter_custom_clippers.dart';
import 'package:vgkprogaming/theme/vgk-shared-theme.dart';

class VgkCommonWidget {
  static vgkIconWithTextWidget(icon, iconColor, text, textColor) {
    return Row(
      mainAxisAlignment: MainAxisAlignment.start,
      crossAxisAlignment: CrossAxisAlignment.start,
      children: <Widget>[
        Icon(
          icon,
          color: iconColor,
        ),
        Padding(
          padding: EdgeInsets.only(top: 3, left: 3),
          child: Text(
            text,
            style: textColor,
          ),
        )
      ],
    );
  }

  static CircleAvatar vgkBuildAvatar({double radius = 80, String image}) {
    return CircleAvatar(
      radius: radius - 2,
      backgroundColor: Colors.transparent,
      // backgroundImage: AssetImage('assets/images/ic_launcher.png'),
      backgroundImage: AssetImage(image),
    );
  }

  static vgkCommonApplicationPrivacyData(width, image, background) {
    List<Widget> listViews = <Widget>[];
    listViews.add(
      Stack(
        children: [
          ClipPath(
            clipper: OvalBottomBorderClipper(),
            child: Container(
              margin: const EdgeInsets.only(top: 30),
              height: 380,
              decoration: BoxDecoration(
                color: VgkProGamingTheme.primaryColor,
              ),
            ),
          ),
          ClipPath(
            clipper: OvalBottomBorderClipper(),
            child: Container(
              height: 380,
              decoration: BoxDecoration(
                image: DecorationImage(
                  image: AssetImage(background),
                ),
              ),
              foregroundDecoration: BoxDecoration(
                color: VgkProGamingTheme.primaryColor.withOpacity(0.5),
              ),
            ),
          ),
          Center(
            child: Column(
              mainAxisAlignment: MainAxisAlignment.center,
              crossAxisAlignment: CrossAxisAlignment.center,
              children: [
                const SizedBox(height: 90),
                VgkCommonWidget.vgkBuildAvatar(
                  radius: width,
                  image: image,
                ),
                // const SizedBox(height: 10.0),
                // Column(
                //   crossAxisAlignment: CrossAxisAlignment.center,
                //   children: [
                //     RichText(
                //       text: TextSpan(
                //         text: 'P',
                //         style: VgkProGamingTheme.h3White,
                //         children: [
                //           TextSpan(
                //             text: 'UB',
                //             style: AppTheme.textStyleTripleExtraLargeBlack,
                //           ),
                //           TextSpan(
                //             text: 'G',
                //             style: AppTheme.textStyleTripleExtraLargeWhite,
                //           ),
                //           TextSpan(
                //             text: ' MOBILE Guidance',
                //             style: AppTheme.textStyleTripleExtraLargeWhite,
                //           ),
                //         ],
                //       ),
                //     ),
                //     Align(
                //       alignment: Alignment.center,
                //       child: Container(
                //         padding: new EdgeInsets.only(right: 20),
                //         child: RichText(
                //           textAlign: TextAlign.center,
                //           text: TextSpan(
                //             text: Constant.version,
                //             style: TextStyle(
                //               fontSize: 7,
                //               fontWeight: FontWeight.w700,
                //               color: AppTheme.white,
                //             ),
                //           ),
                //         ),
                //       ),
                //     ),
                //   ],
                // )
              ],
            ),
          ),
        ],
      ),
    );
    listViews.add(
      SizedBox(
        height: 16,
      ),
    );
    return listViews;
  }
}
